%define upstream_name    Pod-Spell-CommonMistakes
%define upstream_version 1.000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Holds the wordlist data for Pod::Spell::CommonMistakes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Scalar) >= 2.110.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Pod::Spell) >= 1.10.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module looks for any typos in your POD. It differs from the Pod::Spell
manpage or the Test::Spelling manpage because it uses a custom wordlist and
doesn't use the system spellchecker. The idea for this came from the the
http://wiki.debian.org/Teams/Lintian manpage code in Debian, thanks!

To use this, just pass it a filename that has POD in it and you'll get a
hashref back. If the hashref is empty that means the checker found no
misspelled words. If it contains keys, then the keys are the bad words and
the values are the suggested spelling.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 514230
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 372007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 60365
- update to 1.000

* Sun Jan 23 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 34175
- mageia rebuild
- imported package perl-Pod-Spell-CommonMistakes

